From ba08d18172d6654bc9c66a3b0916010013844cc0 Mon Sep 17 00:00:00 2001
From: Tyler Wear <twear@codeaurora.org>
Date: Mon, 20 May 2013 13:03:30 -0700
Subject: [PATCH 1/1] patch

---
 linux/minidlna.init.d.script.tmpl |   14 +++-----------
 1 files changed, 3 insertions(+), 11 deletions(-)
 mode change 100644 => 100755 linux/minidlna.init.d.script.tmpl

diff --git a/linux/minidlna.init.d.script.tmpl b/linux/minidlna.init.d.script.tmpl
old mode 100644
new mode 100755
index 491eb61..7b8fb55
--- a/linux/minidlna.init.d.script.tmpl
+++ b/linux/minidlna.init.d.script.tmpl
@@ -21,26 +21,18 @@
 MINIDLNA=:SBINDIR:/minidlnad
 PIDFILE=/var/run/miniddlna/minidlna.pid
 CONF=/etc/minidlna.conf
-ARGS="-f $CONF"
+ARGS="-f $CONF -R"

 test -f $MINIDLNA || exit 0

-. /lib/lsb/init-functions
-
 case "$1" in
-start)  log_daemon_msg "Starting minidlna" "minidlna"
-        start-stop-daemon --start --quiet --pidfile $PIDFILE --startas $MINIDLNA -- $ARGS $LSBNAMES
-        log_end_msg $?
+start)  start-stop-daemon --start --quiet --pidfile $PIDFILE --startas $MINIDLNA -- $ARGS $LSBNAMES
         ;;
-stop)   log_daemon_msg "Stopping minidlna" "minidlna"
-        start-stop-daemon --stop --quiet --pidfile $PIDFILE
-        log_end_msg $?
+stop)   start-stop-daemon --stop --quiet --pidfile $PIDFILE
         ;;
 restart|reload|force-reload)
-        log_daemon_msg "Restarting minidlna" "minidlna"
         start-stop-daemon --stop --retry 5 --quiet --pidfile $PIDFILE
         start-stop-daemon --start --quiet --pidfile $PIDFILE --startas $MINIDLNA -- $ARGS $LSBNAMES
-        log_end_msg $?
         ;;
 status)
         status_of_proc -p $PIDFILE $MINIDLNA minidlna && exit 0 || exit $?
-- 
1.7.8.3

